Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.ui
Class CacheControl

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.std.ui.CacheControl

public class CacheControl
extends Behavior

Cache control: validate cache vis-a-vis network, or browse offline.

Version:
  $Revision$ $Date$

Field Summary
`static java.lang.String` | `MSG_POLICY_SET` Sets cache policy to argument.

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`CacheControl()`

Method Summary
`boolean` | `semanticEventAfter(SemanticEvent se, java.lang.String msg)` Implements `MSG_POLICY_SET`.
`boolean` | `semanticEventBefore(SemanticEvent se, java.lang.String msg)` On `VMenu.MSG_CREATE_FILE`, add `Offline` menu item.

Methods inherited from class multivalent.Behavior
`buildAfter, buildBefore, checkRep, clipboardAfter, clipboardBefore, createUI, destroy, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restore, restoreChildren, save, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG_POLICY_SET

    public static final java.lang.String MSG_POLICY_SET

  Sets cache policy to argument.

  `"cachePolicySet"`: `arg=` `Cache`'s policy constant.

  See Also:
    Constant Field Values

Constructor Detail

### CacheControl

    public CacheControl()

Method Detail

### semanticEventBefore

    public boolean semanticEventBefore(SemanticEvent se,
                                       java.lang.String msg)

  On `VMenu.MSG_CREATE_FILE`, add `Offline` menu item.

  Overrides:
    `semanticEventBefore` in class `Behavior`

### semanticEventAfter

    public boolean semanticEventAfter(SemanticEvent se,
                                      java.lang.String msg)

  Implements `MSG_POLICY_SET`.

  Overrides:
    `semanticEventAfter` in class `Behavior`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD